; AILang generated workspace; entry: hello
source_filename = "hello.ail"
target triple = "<NORMALIZED>"

@.str_hello_str_0 = private unnamed_addr constant [15 x i8] c"Hello, AILang.\00", align 1

declare i32 @printf(ptr, ...)
declare i32 @puts(ptr)
declare ptr @GC_malloc(i64)
declare i32 @strcmp(ptr, ptr)
declare zeroext i1 @ail_str_eq(ptr, ptr)
declare i32 @ail_str_compare(ptr, ptr)
declare i64 @llvm.fptosi.sat.i64.f64(double)

@ail_hello_main_clos = private unnamed_addr constant { ptr, ptr } { ptr @ail_hello_main_adapter, ptr null }
define i8 @ail_hello_main() {
entry:
  call i32 @puts(ptr @.str_hello_str_0)
  ret i8 0
}

define i8 @ail_hello_main_adapter(ptr %_env) {
entry:
  %r = call i8 @ail_hello_main()
  ret i8 %r
}


define i32 @main() {
  call i8 @ail_hello_main()
  ret i32 0
}
